Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1018416 - PRD35 - [RFE] History DB should sync user's first and last name for user usage tables.
Summary: PRD35 - [RFE] History DB should sync user's first and last name for user usag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.2.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Shirly Radco
QA Contact: movciari
URL:
Whiteboard: infra
Depends On:
Blocks: 1091687 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-10-11 23:20 UTC by Simon Sekidde
Modified: 2019-03-22 07:07 UTC (History)
16 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Enhancement
Doc Text:
It is now possible to create ad hoc reports that have full details of users including more information than the user's ID number. The user's first and last name will now be visible on the report as well.
Clone Of:
: 1091687 (view as bug list)
Environment:
Last Closed: 2015-02-11 18:14:20 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0177 normal SHIPPED_LIVE rhevm-dwh 3.5 bug fix and enhancement update 2015-02-11 23:11:50 UTC
oVirt gerrit 27338 None None None Never
oVirt gerrit 27339 None None None Never

Description Simon Sekidde 2013-10-11 23:20:47 UTC
Description of problem:

Hi Yaniv, 

Adding the follow up questions in bugzilla from the inital email I sent dated below:

> From: "Simon Sekidde" <ssekidde@redhat.com>
> To: "Yaniv Dary" <ydary@redhat.com>
> Sent: Tuesday, September 17, 2013 10:28:30 PM
> Subject: Questions regarding RHEVM reports on 3.2

>
> 3. Add - hoc report prompted for user ID twice in DEV env
> When a user creates an ad-hoc report in RHEV 3.2 or RHEV 3.1 and select one
> of the download capabilities they get prompted for a user ID/PW twice. Is
> this expected or should we just ignore these and run the report?

I don't understand the flow. Please explain.
Screenshots? logs?

I logon to the reports Portal and run a report and it runs fine. I then select download to Excel, it starts running and then pops up with a logon the the Portal Again. I can click through that and then it pops up again and I click through it.   
Maura

>
> 5. Reports need to show user names not just IDs
> We need a report that shows user names – not just IDs like "e12345678@domain"
> is this in the works?

Where do you see user IDs?
To my understanding "e12345678@domain" is [username]@[domain], is not what you are looking for?

To make the report valuable, we need the actual name of the user. If RH has this then that would be ideal.  Otherwise we have to download the data and join to another table.
Maura

--
Simon

Comment 1 Yaniv Lavi 2013-10-14 11:30:56 UTC
v(In reply to Simon Sekidde from comment #0)
> Description of problem:
> 
> Hi Yaniv, 
> 
> Adding the follow up questions in bugzilla from the inital email I sent
> dated below:
> 
> > From: "Simon Sekidde" <ssekidde@redhat.com>
> > To: "Yaniv Dary" <ydary@redhat.com>
> > Sent: Tuesday, September 17, 2013 10:28:30 PM
> > Subject: Questions regarding RHEVM reports on 3.2
> 
> >
> > 3. Add - hoc report prompted for user ID twice in DEV env
> > When a user creates an ad-hoc report in RHEV 3.2 or RHEV 3.1 and select one
> > of the download capabilities they get prompted for a user ID/PW twice. Is
> > this expected or should we just ignore these and run the report?
> 
> I don't understand the flow. Please explain.
> Screenshots? logs?
> 
> I logon to the reports Portal and run a report and it runs fine. I then
> select download to Excel, it starts running and then pops up with a logon
> the the Portal Again. I can click through that and then it pops up again and
> I click through it.   
> Maura

Screenshots? can you do a video recreation or a web session?


> 
> >
> > 5. Reports need to show user names not just IDs
> > We need a report that shows user names – not just IDs like "e12345678@domain"
> > is this in the works?
> 
> Where do you see user IDs?
> To my understanding "e12345678@domain" is [username]@[domain], is not what
> you are looking for?
> 
> To make the report valuable, we need the actual name of the user. If RH has
> this then that would be ideal.  Otherwise we have to download the data and
> join to another table.
> Maura

what report are you using?
What is the expected result?
Can we have a db dump?

> 
> --
> Simon

Comment 8 Simon Sekidde 2014-02-27 20:40:29 UTC
(In reply to Yaniv Dary from comment #7)

> So the rfe here is to add first and last name for users for use in users
> statistics? Please confirm.
> 
> 
> 
> Yaniv

Yes. That is correct.

Comment 12 Shirly Radco 2014-08-05 12:29:03 UTC
This feature had a bug 1124458. Delete date was not updated when user was removed. Please recheck.
Shirly

Comment 14 errata-xmlrpc 2015-02-11 18:14:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0177.html


Note You need to log in before you can comment on or make changes to this bug.